Skip to content

List histories

Request

Returns a paginated list of Histories for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt""chain""comments""eventAt""historySystem"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
animalIdstring

Identifier of the animal associated with this history record.

Example:animalId=123e4567-e89b-12d3-a456-426614174000
chainstring

Chain or grouping identifier for related history records.

commentsstring

Free-text comments or narrative for this history entry.

consultIdstring

Identifier of the consult associated with this history record.

Example:consultId=123e4567-e89b-12d3-a456-426614174000
historySystemstring

Source or subsystem that created or owns this history record.

isActiveboolean

Whether this history record is active.

vetIdstring

Identifier of the veterinarian associated with this history record.

Example:vetId=123e4567-e89b-12d3-a456-426614174000
curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/history?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&animalId=123e4567-e89b-12d3-a456-426614174000&chain=string&comments=string&consultId=123e4567-e89b-12d3-a456-426614174000&historySystem=string&isActive=true&vetId=123e4567-e89b-12d3-a456-426614174000' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of Histories